MCController.prototype = new EQContoller();
MCController.prototype.constructor = MCController;
MCController.prototype.parent = EQContoller.prototype;

MCController.prototype.isAnswered = function(){ 
	return true;
	//return this.model.getText().length>0;
}

MCController.prototype.isModified = function(){ 
	return !(this.model.compareTo(this.view.getData()));
}

MCController.prototype.retrieveLocal = function(){
	this.model.setData(this.view.getData());
	this.parent.retrieveLocal.call(this);
}

MCController.prototype.verifySavedData = function(original, saved){
	return new MCModel(original).compareTo(saved);
}

MCController.prototype.updateModel = function(saved){
	this.model.setData(saved);
}

MCController.prototype.getSaveData = function(){
	return this.view.getData();
}

MCController.prototype.init = function(identifier, id){
	this.view = new MCView(id, this);
	this.model = new MCModel([]);
	
	this.parent.init.call(this, identifier, id);
}

function MCController(identifier, id){
	this.init(identifier, id);
	//window.console.log("init mc for"+id);
}