QAController.prototype = new EQContoller();
QAController.prototype.constructor = QAController;
QAController.prototype.parent = EQContoller.prototype;

QAController.prototype.isAnswered = function(){ 
	return this.model.getText().length>0;
}

QAController.prototype.isModified = function(){ 
	return (this.model.getText() !== this.view.getText());
}

QAController.prototype.retrieveLocal = function(){
	
	this.model.setText(this.view.getText());
	this.parent.retrieveLocal.call(this);
}

QAController.prototype.verifySavedData = function(original, saved){
	return original == saved;
}

QAController.prototype.updateModel = function(saved){
	this.model.setText(saved);
}

QAController.prototype.getSaveData = function(){
	return this.view.getText();
}

QAController.prototype.init = function(identifier, id){
	this.view = new QAView(id);
	this.model = new QAModel();
	
	this.parent.init.call(this, identifier, id);
	
	var controller = this;
	$("#qa-textarea-"+id).keyup(function(event) {
		controller.checkChanges();
	});
}

function QAController(identifier, id){
	this.init(identifier, id);
}