QAMultiController.prototype.hasChanges = function(){ 
	return this.status == 1;
}

QAMultiController.prototype.update = function(caller_ref){ 
	var newStatus = 0;
	var answered = 0;
	var count = 0;
	for(var id in this.qacontroller){
		if(this.qacontroller[id].getStatus() == 1 && newStatus != -1){
			newStatus = 1;
		}else if(this.qacontroller[id].getStatus() < 0){
			newStatus = -1;
		}
		if(this.qacontroller[id].isAnswered()){
			answered++;
		}
		count++;
	}
	this.status = newStatus;
	if(this.status == 1){
		this.view.setUnsavedState();
	}else if(this.status == 0){
		this.view.setSavedState();	
	}else{
		this.view.setErrorState();	
	}
	this.view.updateSummary(answered, count);
}

QAMultiController.prototype.add = function(id, controller){ 
	this.qacontroller[id.toString()] = controller;
	this.qacontroller[id.toString()].addListener(this);
	this.update(this);
}

QAMultiController.prototype.get = function(id){
	return this.qacontroller[id.toString()];
}

QAMultiController.prototype.save = function(){
	this.view.setSavingState();	
	for(var id in this.qacontroller){
		this.qacontroller[id].save();
	}
}

QAMultiController.prototype.saveImmediate = function(){
	this.view.setSavingState();	
	for(var id in this.qacontroller){
		this.qacontroller[id].saveImmediate();
	}
}

function QAMultiController(){
	this.qacontroller = new Array();
	this.status = 0;
	
	this.view = new QAMultiView(1);
	this.update(this);	
	
	var controller = this;
	$(window).unload(function() {
	  if(controller.hasChanges()){
	  	if(confirm("Ungesicherte Antworten speichern? \n(Abbrechen verwirft die Änderungen.)")){
	  		controller.saveImmediate();
	  	}else{
	  		
	  	}
	  }
	});
}