QAView.prototype = new EQView();
QAView.prototype.constructor = QAView;
QAView.prototype.parent = EQView.prototype;

QAView.prototype.getText = function(){
	return $("#qa-textarea-"+this.id).val();
}

/*
QAView.prototype.setText = function(text){
	$("#qa-textarea-"+this.id).html(text);
}
*/

//
QAView.prototype.setLoadingState = function(){
	this.parent.setLoadingState.call(this);
	
	$("#qa-textarea-"+this.id).css("background-color", "#999999");
	$("#qa-textarea-"+this.id).attr('disabled', true);
}

QAView.prototype.setSavingState = function(){
	this.parent.setSavingState.call(this);
		
	/// $("#qa-textarea-"+this.id).css("background-color", "#999999");
	$("#qa-textarea-"+this.id).attr('disabled', false);
}

QAView.prototype.setSavedState = function(){
	this.parent.setSavedState.call(this);
	
	$("#qa-textarea-"+this.id).css("background-color", "#EEEEEE");
	$("#qa-textarea-"+this.id).attr('disabled', false);
}

QAView.prototype.setErrorState = function(){
	this.parent.setErrorState.call(this);
	
	$("#qa-textarea-"+this.id).css("background-color", "#FF6666");
	$("#qa-textarea-"+this.id).attr('disabled', false);
}

QAView.prototype.setUnsavedState = function(){
	this.parent.setUnsavedState.call(this);
	
	$("#qa-textarea-"+this.id).css("background-color", "#FFFFCC");
	$("#qa-textarea-"+this.id).attr('disabled', false);
}

function QAView(id){
	this.id = id;
	this.prefix = "qa";
}