EQContoller.prototype.saveIntern = function(immediate){
	this.setStatus(2);
	
	var dataToSave = this.getSaveData();
	var controller = this;
	
	// start modification
	var data = {
			action: "save", 
			id: this.id, 
			data: dataToSave, 
			success: "true"
		};
	
	clearTimeout(this.timeout);
	this.timeout = setTimeout(function(){
			//alert(data);
			// TODO: Handle missing fields
			if (data.action=="save" && data.success=="true" && data.id==controller.id && controller.verifySavedData(data.data, dataToSave)){
				controller.updateModel(data.data);
				controller.checkChanges();
			}else{
				controller.setStatus(-1);
			}
		}, Math.random()*400+200);
	
}

var backupInit = EQContoller.prototype.init;
EQContoller.prototype.init = function(identifier, id){
	if($('#demoMessage').length <= 0){
		$('body').append('<div id="demoMessage" style="background-color: rgba(255,0,0,0.9); color: white; position: fixed; top: 0px; left: 0px; width: 100%; padding: 10px; text-align: center;">Dies ist eine Demo, die Daten werden nicht gespeichert und sind daher nach einem Reload der Seite verschwunden!</div>');
		$('body').css('padding-top', 32);
	}
	$.scrollTo.defaults.offset = {top: -40, left: 0};
	return backupInit.call(this, identifier, id);
}
